Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model.property
Class LastModified

    java.lang.Object
      net.fortuna.ical4j.model.Content
          net.fortuna.ical4j.model.Property
              net.fortuna.ical4j.model.property.DateProperty
                  net.fortuna.ical4j.model.property.UtcProperty
                      net.fortuna.ical4j.model.property.LastModified

All Implemented Interfaces:
  Serializable

    public class LastModified

extends UtcProperty

Defines a LAST-MODIFIED iCalendar component property.

         4.8.7.3 Last Modified

            Property Name: LAST-MODIFIED

            Purpose: The property specifies the date and time that the
            information associated with the calendar component was last revised
            in the calendar store.

                 Note: This is analogous to the modification date and time for a
                 file in the file system.

            Value Type: DATE-TIME

            Property Parameters: Non-standard property parameters can be
            specified on this property.

            Conformance: This property can be specified in the "EVENT", "VTODO",
            "VJOURNAL" or "VTIMEZONE" calendar components.

            Description: The property value MUST be specified in the UTC time
            format.

            Format Definition: The property is defined by the following notation:

              last-mod   = "LAST-MODIFIED" lstparam ":" date-time CRLF

              lstparam   = *(";" xparam)

Author:
  benf
See Also:
  Serialized Form

Field Summary

Fields inherited from class net.fortuna.ical4j.model.property.DateProperty
`timezone`

Fields inherited from class net.fortuna.ical4j.model.Property
`ACTION, ATTACH, ATTENDEE, CALSCALE, CATEGORIES, CLASS, COMMENT, COMPLETED, CONTACT, CREATED, DESCRIPTION, DTEND, DTSTAMP, DTSTART, DUE, DURATION, EXDATE, EXPERIMENTAL_PREFIX, EXRULE, FREEBUSY, GEO, LAST_MODIFIED, LOCATION, METHOD, ORGANIZER, PERCENT_COMPLETE, PRIORITY, PRODID, RDATE, RECURRENCE_ID, RELATED_TO, REPEAT, REQUEST_STATUS, RESOURCES, RRULE, SEQUENCE, STATUS, SUMMARY, TRANSP, TRIGGER, TZID, TZNAME, TZOFFSETFROM, TZOFFSETTO, TZURL, UID, URL, VERSION`

Constructor Summary
`LastModified()` Default constructor.
`LastModified(DateTime aDate)`
`LastModified(ParameterList aList, DateTime aDate)`
`LastModified(ParameterList aList, String aValue)`

Method Summary

Methods inherited from class net.fortuna.ical4j.model.property.UtcProperty
`getDateTime, setDateTime, validate`

Methods inherited from class net.fortuna.ical4j.model.property.DateProperty
`getDate, getValue, isUtc, setDate, setTimeZone, setUtc, setValue`

Methods inherited from class net.fortuna.ical4j.model.Property
`equals, getName, getParameter, getParameters, getParameters, hashCode, isCalendarProperty, isComponentProperty, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LastModified

    public LastModified()

  Default constructor.

### LastModified

    public LastModified(ParameterList aList,
                        String aValue)
                 throws ParseException

Parameters:
  `aList` - a list of parameters for this component
  `aValue` - a value string for this component
Throws:
  `ParseException` - where the specified value string is not a valid date-time/date representation

### LastModified

    public LastModified(DateTime aDate)

Parameters:
  `aDate` - a date representation of a date-time value

### LastModified

    public LastModified(ParameterList aList,
                        DateTime aDate)

Parameters:
  `aList` - a list of parameters for this component
  `aDate` - a date representation of a date-time value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.